* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Quicksand', sans-serif;
}

body {
    font-size: 62.5%;
    font-family: 'Quicksand', sans-serif;
    background: linear-gradient(90deg, rgb(192, 192, 192) 0%, rgb(192, 192, 192) 100%);
}

.mainContainer--canvas {
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 1000px;
    margin: 20px auto 0 auto;
    background: linear-gradient(145deg, #cacaca, #f0f0f0);
    box-shadow: 20px 20px 60px #bebebe,
        -20px -20px 60px #ffffff;
    border-radius: 15px 15px 0 0;
    padding: 10px;    
}

.canvasContainer {
    background:  rgb(14, 14, 14) ;
    padding: 10px;
    border-radius: 10px;
    border: 1px solid rgb(255, 255, 255);
    position: relative;
}

.backCanvas {
    background-color: rgb(24, 24, 24);
    border-radius: 10px;
    margin: 0 2px;
}
#displayGlass {
    width: 100%;
    height: 100%;
    background: #00000055;
    position: absolute;
    left: 0;
    top: 0;
    border-radius: 10px;
    box-shadow: 0px 0px 25px #222;
    backdrop-filter: blur(0px);
}

#control-container {
    background: #e0e0e0;
    box-shadow: 20px 20px 60px #bebebe,
        -20px -20px 60px #ffffff;
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: repeat(auto-fill, minmax(1fr, max-content));
    padding: 10px;
    max-width: 1000px;
    margin: 0 auto;
    border-radius: 0 0 15px 15px;
}

#colorDisplay {
    width: 27%;
    cursor: pointer;
    margin-right: 10px;
    grid-column: 1 / 2;
    height: 50%;
    width: 100%;
    max-width: 50px;
    min-width: 50px;
    align-self: center;
    justify-self: center;
    border-radius: 5px;
    background: #e0e0e0;
    box-shadow: 9px 9px 19px #bababa,
        -9px -9px 19px #ffffff;
    text-align: center;
    border: none;
}



#selectOption {
    grid-column: 2 / 3;
    height: 40%;
    align-self: center;
    font-size: 1.2rem;
    font-weight: 600;
    border-radius: 5px;
    border: none;
    background: #e0e0e0;
    box-shadow: 9px 9px 19px #bababa,
        -9px -9px 19px #ffffff;
}

#hoursArrowContainer {
    grid-column: 3 / 4;
}

#minutesArrowContainer {
    grid-column: 4 / 5;
}

#secondsArrowContainer {
    grid-column: 5 / 6;
}

#hoursArrowContainer,
#minutesArrowContainer,
#secondsArrowContainer {
    color: white;
    font-size: 1.2rem;
    font-weight: bold;
    display: flex;
    flex-direction: column;
    justify-items: center;
    align-items: center;
}

#hoursArrowContainer p,
#minutesArrowContainer p,
#secondsArrowContainer p {
    color: rgb(2, 10, 10);
    text-shadow: 0px 0px 3px rgb(255, 255, 255);
}

#hoursArrowContainer button,
#minutesArrowContainer button,
#secondsArrowContainer button {
    width: 35px;
    height: 35px;
    font-size: 1.5rem;
    border-radius: 5px;
    cursor: pointer;
    margin: 3px;
    color: rgb(29, 29, 29);
    border: none;
    background: #e0e0e0;
    box-shadow: 9px 9px 19px #bababa,
        -9px -9px 19px #ffffff;
}

#hoursArrowContainer button:hover,
#minutesArrowContainer button:hover,
#secondsArrowContainer button:hover, .buttons:hover  {
    background-color: rgb(247, 239, 228);
    transform: scale(1.05);
}

.buttons {
    cursor: pointer;
    grid-column: 6 / 7;
    grid-row: 1;
    height: 45%;
    align-self: center;
    border-radius: 5px;
    font-size: 1.3rem;
    font-weight: bold;
    border: none;
    background: #e0e0e0;
    box-shadow: 9px 9px 19px #bababa,
        -9px -9px 19px #ffffff;
}

#buttonStart {
    align-self: start;
}

#buttonClear {
    align-self: end;
}

@keyframes aumentar {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes normal {
    100% {
        opacity: 1;
    }
}

@media (max-width: 1000px) {
    .canvasContainer  {
        scale: 0.8;
    }
    .mainContainer--canvas {
        width: 100%;
        margin: 20px auto 0 auto;
        flex-wrap: nowrap;
        flex-direction: column;
    }
    .canvasContainer {
        width: 1000px;
    }
}
@media  (max-width: 800px){
    .canvasContainer  {
        scale: 0.75;
    }
   
}
@media  (max-width: 720px){
    .canvasContainer  {
        scale: 0.65;
    }
   
}
@media  (max-width: 620px){
    .canvasContainer  {
        scale: 0.55;
    }
   
}
@media  (max-width: 520px){
    .canvasContainer  {
        scale: 0.4;
    }
   
}